﻿#This is the core game code
python:
    init 
    build.executable_name = "Rogue-Like"
    build.classify("images/**.png", "archive")
    build.classify("images/**.jpg", "archive")
    build.documentation("*.txt")

image title card = "images/titleimage.jpg"

define ch_r = Character('Rogue', color="#688E23", show_two_window=True)
define ch_p = Character('[Playername]', color="#87CEEB", show_two_window=True)
define ch_x = Character('Professor X', color="#FFD700", show_two_window=True)

label splashscreen:
    scene black
    with Pause(1)
    
    show image "images/Onirating.jpg"
    show text "This title is for ages 18 and up." with dissolve
    with Pause(2)
    
    show text "This is a beta version of the game. It has limited function and has not been thoroughly tested. Please report any bugs you find." with dissolve
    with Pause(2)

    hide text with dissolve
    with Pause(1)

    return
    

label start:
    
#World Stats
    $ Day = 1
    $ Time_Options = ["Morning", "Midday", "Evening", "Night"]
    $ Time_Count = 2
    $ Current_Time = Time_Options[(Time_Count)]     
    $ bg_current = "bg rogue"
    $ Party = []
    $ Taboo = 0
    $ Rules = "1"
    $ Line = "0"
    $ Event = [0,0,0]
#Player Stats
    $ Playername = "Zero"
    $ R_petname = "Sugar" #What Rogue calls the player
    $ income = 10 #how much you make each day
    $ P_Semen = 3 #2
    $ P_Semen_Max = 10
    $ P_Focus = 10
#Rogue Stats   
    $ R_Loc = "bg rogue"
    $ R_Love = 50
    $ R_Inhibit = 0
    $ R_Obed = 0
    $ R_Lust = 10
    $ R_Addict = 0 #how addicted she is
    $ R_Addictionrate = 0 #How faster her addiciton rises
    $ R_Resistance = 0 #how fast her rate falls
    # Sexual Encounters
    $ R_Kissed = 0 #How many times they've kissed
    $ R_Hand = 0
    $ R_Mast = 0
    $ R_Org = 0
    $ R_FondleB = 0
    $ R_FondleT = 0
    $ R_FondleP = 0
    $ R_FondleA = 0
    $ R_Blow = 0
    $ R_Swallow = 0
    $ R_SEXP = 0
    $ R_SeenChest = "0"
    $ R_SeenPanties = "0"
    $ R_SeenPussy = "0"
    $ R_Sleep = 0
    $ R_Personality = "normal"
    $ R_Stripped = 0
#Rogue Sprite Variables
    $ R_Outfit = "evo_full"
    $ Rogue_Arms = "1"
    $ R_Body = "haired"
    $ R_Emote = "normal"
    $ R_EmoteDefault = "normal"
    $ R_Arms = "collargloved"
    $ R_Legs = "skirthose"
    $ R_Over = "mesh"
    $ R_Under = "mesh"
    $ R_Chest = "tank"
    $ R_Panties = "1"
    $ R_Mouth = "normal"
    $ R_Brows = "normal"
    $ R_Eyes = "normal"
    $ R_Hair = "evo"
    $ R_Blush = "0"
    $ R_Spunk = "0"
    $ R_Pubes = "1"
    $ R_Wet = "0"
    $ R_Custom = ["0","0","0","0","0","0","0","0","0"]
#Inventory Variables 
    $ money = 20
    $ cost_chocolate = 3
    $ cost_condom = 4
    $ cost_dildo = 11
    $ player_i = ["chocolate", "condom", "dildo"]
    $ player_q = [0, 0, 0]
    $ Count = 0
    $ Digits = []
    $ Keys = [] 

#Rogue Sprite Compositing
    image Rogue = LiveComposite(
        (480,960),
        (0,0), ConditionSwitch(
            "R_Under == 'mesh' and Rogue_Arms == '1'", "images/Rogue_under_mesh1.png",
            "R_Under == 'mesh' and Rogue_Arms == '2'", "images/Rogue_under_mesh2.png",
            "R_Under == '0'", "images/nothing.png",
            ),
        (0,0), ConditionSwitch(
            "R_Pubes == '0' and R_Panties == '0' and R_Wet == '0'", "images/Rogue_body_bare.png",
            "R_Pubes == '1' and R_Panties == '0' and R_Wet == '0'", "images/Rogue_bodyhaired_bare.png",
            "R_Pubes == '0' and R_Panties == '1' and R_Wet == '0'", "images/Rogue_body_panties.png",
            "R_Pubes == '1' and R_Panties == '1' and R_Wet == '0'", "images/Rogue_bodyhaired_panties.png",
            "R_Pubes == '0' and R_Panties == '0' and R_Wet == '1'", "images/Rogue_body_bare_w.png",
            "R_Pubes == '1' and R_Panties == '0' and R_Wet == '1'", "images/Rogue_bodyhaired_bare_w.png",
            "R_Pubes == '0' and R_Panties == '1' and R_Wet == '1'", "images/Rogue_body_panties_w.png",
            "R_Pubes == '1' and R_Panties == '1' and R_Wet == '1'", "images/Rogue_bodyhaired_panties_w.png",
            ),
        (0,0), ConditionSwitch(
            "R_Brows == 'normal'", "images/Rogue_brows_normal.png",
            "R_Brows == 'angry'", "images/Rogue_brows_angry.png",
            "R_Brows == 'sad'", "images/Rogue_brows_sad.png",
            "R_Brows == 'surprised'", "images/Rogue_brows_surprised.png",        
            "R_Brows == 'confused'", "images/Rogue_brows_confused.png",
            "R_Brows == '0'", "images/nothing.png",
            ),
        (0,0), ConditionSwitch(
            "R_Blush == '1'", "images/Rogue_blush.png",
            "R_Blush == '0'", "images/nothing.png",
            ),
        (0,0), ConditionSwitch(
            "R_Mouth == 'normal'", "images/Rogue_mouth_normal.png",
            "R_Mouth == 'lipbite'", "images/Rogue_mouth_lipbite.png",
            "R_Mouth == 'sucking'", "images/Rogue_mouth_sucking.png",            
            "R_Mouth == 'kiss'", "images/Rogue_mouth_kiss.png",
            "R_Mouth == 'sad'", "images/Rogue_mouth_sad.png",
            "R_Mouth == 'smile'", "images/Rogue_mouth_smile.png",
            "R_Mouth == 'surprised'", "images/Rogue_mouth_surprised.png",
            "R_Mouth == 'lipbitew'", "images/Rogue_mouth_lipbite_w.png",
            "R_Mouth == 'suckingw'", "images/Rogue_mouth_sucking_w.png",
            "R_Mouth == 'sadw'", "images/Rogue_mouth_sad_w.png",
            "R_Mouth == 'smilew'", "images/Rogue_mouth_smile_w.png",            
            "R_Mouth == 'tongue'", "images/Rogue_mouth_tongue.png",          
            "R_Mouth == 'tonguew'", "images/Rogue_mouth_tongue_w.png",
            "R_Mouth == '0'", "images/nothing.png",
            ),
        (0,0), "Rogue Blink",
        (0,0), ConditionSwitch(
            "R_Legs == 'skirthose'", "images/Rogue_legs_skirthose.png",
            "R_Legs == 'skirt'", "images/Rogue_legs_skirtnohose.png",
            "R_Legs == 'hose'", "images/Rogue_legs_hose.png",            
            "R_Legs == 'pants'", "images/Rogue_legs_pants.png",
            "R_Legs == 'upskirt'", "images/Rogue_legs_upskirtnohose.png",
            "R_Legs == 'upskirthose'", "images/Rogue_legs_upskirthose.png",
            "R_Legs == '0'", "images/nothing.png",
            ),
        (0,0), ConditionSwitch(
            "R_Arms == 'collarbare' and Rogue_Arms == '1'", "images/Rogue_arms1a_bare.png",
            "R_Arms == 'collargloved' and Rogue_Arms == '1'", "images/Rogue_arms1a_gloved.png",
            "R_Arms == 'collarbare' and Rogue_Arms == '2'", "images/Rogue_arms2a_bare.png",
            "R_Arms == 'collargloved' and Rogue_Arms == '2'", "images/Rogue_arms2a_gloved.png",            
            "R_Arms == 'bare' and Rogue_Arms == '1'", "images/Rogue_arms1b_bare.png",
            "R_Arms == 'gloved' and Rogue_Arms == '1'", "images/Rogue_arms1b_gloved.png",
            "R_Arms == 'bare' and Rogue_Arms == '2'", "images/Rogue_arms2b_bare.png",
            "R_Arms == 'gloved' and Rogue_Arms == '2'", "images/Rogue_arms2b_gloved.png",
            "R_Arms == '0'", "images/nothing.png",
            ),
        (0,0), ConditionSwitch(
            "R_Chest == 'tank'", "images/Rogue_chest_tank.png",
            "R_Chest == 'tank2'", "images/Rogue_chest_tank2.png",
            "R_Chest == 'bare'", "images/Rogue_chest_bare.png",
            "R_Chest == '0'", "images/nothing.png",
            ),       
        (0,0), ConditionSwitch(
            "R_Over == 'mesh' and Rogue_Arms == '1'", "images/Rogue_over_mesh1.png",
            "R_Over == 'mesh' and Rogue_Arms == '2'", "images/Rogue_over_mesh2.png",            
            "R_Over == 'pink' and Rogue_Arms == '1'", "images/Rogue_over_pink1.png",
            "R_Over == 'pink' and Rogue_Arms == '2'", "images/Rogue_over_pink2.png",
            "R_Over == '0'", "images/nothing.png",
            ),  
        (0,0), ConditionSwitch(
            "R_Hair == 'evo'", "images/Rogue_hair_evo.png",
            "R_Hair == '0'", "images/nothing.png",
            ),     
         (0,0), ConditionSwitch(
            "R_Spunk == 'hand' and Rogue_Arms == '2'", "images/Rogue_spunkhand.png",
            "R_Spunk == 'facial'", "images/Rogue_facial.png",
            "R_Spunk != 'elephant'", "images/nothing.png",
            ),
        )
image Rogue Blink:
    ConditionSwitch(
    "R_Eyes == 'normal'", "images/Rogue_eyes_normal.png",
    "R_Eyes == 'closed'", "images/Rogue_eyes_closed.png",
    "R_Eyes == 'manic'", "images/Rogue_eyes_manic.png",
    "R_Eyes == 'side'", "images/Rogue_eyes_side.png",
    "R_Eyes == 'sexy'", "images/Rogue_eyes_sexy.png",
    "R_Eyes == 'surprised'", "images/Rogue_eyes_surprised.png",
    "R_Eyes == '0'", "images/nothing.png",
    ),
    choice:
        3.5
    choice:
        3.25
    choice:
        3
    # This randomizes the time between blinking.
    "images/Rogue_eyes_closed.png"
    .25
    repeat
    

#Night composite
image setting = LiveComposite(
    (1024,768),
    (0, 0), ConditionSwitch(
        "Current_Time == 'Midday'", "images/sky_day.jpg",
        "Current_Time == 'Morning'", "images/sky_sunset.jpg",
        "Current_Time == 'Evening'", "images/sky_sunset.jpg",
        "Current_Time == 'Night'", "images/sky_night.jpg",
        ),
    (0, 0), ConditionSwitch(        
        "bg_current == 'bg rogue'", "images/Rogueroom.png",
        ),
    (0, 0), ConditionSwitch(
        "Current_Time == 'Night'", "images/nightmask.png",
        "Current_Time != 'Night'", "images/nothing.png",
        ),
    )

show screen R_Status_screen



# Testing settings

$ R_Love = 65
$ Digits.append("Rogue")
$ Keys.append("Rogue")
$ R_Addictionrate = 10
$ R_Resistance = 1 #how fast her rate falls
jump Rogue_Room_Test

# Overrun checking //////////////////////////////////////////////////////////////////////
label Checkout:
    if R_Love > 100:
        $ R_Love = 100
    if R_Love < 0:
        $ R_Love = 0
    if R_Inhibit > 100:
        $ R_Inhibit = 100
    if R_Inhibit < 0:
        $ R_Inhibit = 0
    if R_Obed > 100:
        $ R_Obed = 100
    if R_Obed < 0:
        $ R_Obed = 0
    if R_Lust > 100:
        $ R_Lust = 100
    if R_Lust < 0:
        $ R_Lust = 0
    if R_Addict > 100: 
        $ R_Addict = 100 
    if R_Addictionrate > 10: 
        $ R_Addictionrate = 10 
    if R_Addict < 0: 
        $ R_Addict = 0 
    if R_Addictionrate < 0: 
        $ R_Addictionrate = 0 
    if P_Semen < 0: 
        $ P_Semen = 0 
    if P_Semen > P_Semen_Max: 
        $ P_Semen = P_Semen_Max 
    if P_Focus < 0:
        $ P_Focus = 0
    $ R_Wet = "0"
    $ Count = 0
return

# end Overrun checking //////////////////////////////////////////////////////////////////////

# Rogue's Room Testbed Interface //////////////////////////////////////////////////////////////////////

label Rogue_Room_Test:
    if R_Love > 70:
        show screen roguebutton
    
    $ bg_current = "bg rogue"
    scene setting
    if "Rogue" in Party or R_Loc == "bg rogue":
        show Rogue at right:
            zoom 0.75
    else: 
        hide Rogue        
    menu:
        "What would you like to do?"
        "Fool around a bit?":
            call Sexstuff
        "Change Rogue's clothes." if R_Love > 90:
                call RogueWardrobe        
        "Sleep." if Current_Time == "Night":
            call Wait  ########Remove This ##############

        "Wait." if Current_Time != "Night":
            ch_r "Sure, you can wait around a bit."
            call Wait     
    jump Rogue_Room_Test

# end Rogue's Room Testbed Interface //////////////////////////////////////////////////////////////////////

    ".:. Good Ending."

return

# Rogue emotion editor ///////////////////
label RogueEmotionEditor:
    menu:
        "Normal":
            $ R_Emote = "normal"
            call RogueFace
        "Angry":
            $ R_Emote = "angry"
            call RogueFace
        "Smiling":
            $ R_Emote = "smile"
            call RogueFace
        "Sexy":
            $ R_Emote = "sexy"
            call RogueFace
        "Suprised":
            $ R_Emote = "surprised"
            call RogueFace
        "Bemused":
            $ R_Emote = "bemused"
            call RogueFace
        "Manic":
            $ R_Emote = "manic"
            call RogueFace
        "Sad":
            $ R_Emote = "sad"
            call RogueFace
        "Sucking":
            $ R_Emote = "sucking"
            call RogueFace
        "kiss":
            $ R_Emote = "kiss"
            call RogueFace
        "Tongue":
            $ R_Emote = "tongue"
            call RogueFace
        "confused":
            $ R_Emote = "confused"
            call RogueFace
        "Closed":
            $ R_Emote = "closed"
            call RogueFace
        "Blush":
            if R_Blush == "1":
                $ R_Blush = "0"
            else:
                $ R_Blush = "1"  
        "Exit.":
            return
    jump RogueEmotionEditor
return

# Rogue's Faces //////////////////////////////////////////////
label RogueFace:
    if R_Emote == "normal":
        $ R_Mouth = "normal"
        $ R_Brows = "normal"
        $ R_Eyes = "normal"
    if R_Emote == "angry":
        $ R_Mouth = "sad"
        $ R_Brows = "angry"
        $ R_Eyes = "sexy"
    if R_Emote == "bemused":
        $ R_Mouth = "lipbite"
        $ R_Brows = "sad"
        $ R_Eyes = "side"
    if R_Emote == "closed":
        $ R_Mouth = "lipbite"
        $ R_Brows = "sad"
        $ R_Eyes = "closed"  
    if R_Emote == "confused":
        $ R_Mouth = "kiss"
        $ R_Brows = "confused"
        $ R_Eyes = "surprised"
    if R_Emote == "kiss":
        $ R_Mouth = "kiss"
        $ R_Brows = "normal"
        $ R_Eyes = "closed"
    if R_Emote == "tongue":
        $ R_Mouth = "tongue"
        $ R_Brows = "normal"
        $ R_Eyes = "closed"
    if R_Emote == "manic":
        $ R_Mouth = "smile"
        $ R_Brows = "sad"
        $ R_Eyes = "manic"
        $ R_Blush = "1"
    if R_Emote == "sad":
        $ R_Mouth = "sad"
        $ R_Brows = "sad"
        $ R_Eyes = "side"
    if R_Emote == "sexy":
        $ R_Mouth = "lipbite"
        $ R_Brows = "normal"
        $ R_Eyes = "sexy"
    if R_Emote == "smile":
        $ R_Mouth = "smile"
        $ R_Brows = "normal"
        $ R_Eyes = "normal"
    if R_Emote == "sucking":
        $ R_Mouth = "sucking"
        $ R_Brows = "normal"
        $ R_Eyes = "closed"
    if R_Emote == "surprised":
        $ R_Mouth = "surprised"
        $ R_Brows = "surprised"
        $ R_Eyes = "surprised"
return
        
# Rogue's Wardrobe ///////////////////
label RogueWardrobe:

    menu:        
        "Rogue's custom outfit is [R_Custom].[R_Arms]"        
        # Outfits
        "Normal outfit" if R_Outfit != "evo_full":
            $ R_Outfit = "evo_full"
            call RogueOutfit
        "Pink outfit" if R_Outfit != "evo_pink":
            $ R_Outfit = "evo_pink"
            call RogueOutfit
        "Nude" if R_Outfit != "nude":
            $ R_Outfit = "nude"
            call RogueOutfit
        # Overshirts    
        "Remove mesh top" if R_Over == "mesh":
            $ R_Over = "0"
            $ R_Under = "0"
        "Add mesh top" if R_Over == "0":
            $ R_Over = "mesh"
            $ R_Under = "mesh"
            $ R_Arms = "collargloved"
            if R_Chest == "tank2":
                $ R_Chest = "bare"
        "Remove pink top" if R_Over == "pink":
            $ R_Over = "0"
            $ R_Under = "0"
        "Add pink top" if R_Over == "0":
            $ R_Over = "pink"            
            $ R_Arms = "gloved"
        # Tops    
        "Remove tank top" if R_Chest == "tank" or R_Chest == "tank2":
            $ R_Chest = "bare"
        "Add tank top 1" if R_Chest == "bare":
            $ R_Chest = "tank"
        "Add tank top 2" if R_Chest == "bare" and R_Over != "mesh":
            $ R_Chest = "tank2"
        "Add Gloves" if R_Arms == "collarbare" or R_Arms == "bare":
            call AddGloves
        "Remove Gloves" if R_Arms == "collargloved" or R_Arms == "gloved":
            call RemoveGloves
        # Leggings            
        "Remove skirt" if R_Legs == "skirthose" or R_Legs == "upskirthose":
            $ R_Legs = "hose"
        "Remove skirt" if R_Legs == "skirt" or R_Legs == "upskirt":     
            $ R_Legs = "0"
        "Add Skirt" if R_Legs == "0":  
            $ R_Legs = "skirt"
        "Add Skirt" if R_Legs == "hose": 
            $ R_Legs = "skirthose"
        "Remove pants" if R_Legs == "pants":
            $ R_Legs = "0"
        "Add pants" if R_Legs == "0" or R_Legs == "hose":
            $ R_Legs = "pants"
        "Lift skirt" if R_Legs == "skirthose":
            $ R_Legs = "upskirthose"
        "Lift skirt" if R_Legs == "skirt":     
            $ R_Legs = "upskirt"
        
        # Underwear
        "Add hose" if R_Legs == "skirt":     
            $ R_Legs = "skirthose"
        "Add hose" if R_Legs == "0":     
            $ R_Legs = "hose"
        "Add hose" if R_Legs == "upskirt":     
            $ R_Legs = "upskirthose"            
        "Remove hose" if R_Legs == "skirthose":     
            $ R_Legs = "skirt"
        "Remove hose" if R_Legs == "hose":     
            $ R_Legs = "0"
        "Remove hose" if R_Legs == "upskirthose":     
            $ R_Legs = "upskirt"
        "Toggle panties":
            if R_Panties == "0":
                $ R_Panties  = "1"
            else:
                $ R_Panties  = "0"
                
        "Toggle Arms":
            if Rogue_Arms == "1":
                $ Rogue_Arms = "2"
            else:
                $ Rogue_Arms = "1"
        "Toggle Wetness":
            if R_Wet == "0":
                $ R_Wet  = "1"
            else:
                $ R_Wet  = "0"
        "Toggle pubes":
            if R_Pubes == "0":
                $ R_Pubes  = "1"
            else:
                $ R_Pubes  = "0"
        "Set Custom Outfit #1.":
            $ R_Custom[0] = "1"
            $ R_Custom[1] = R_Arms
            $ R_Custom[2] = R_Legs
            $ R_Custom[3] = R_Over
            $ R_Custom[4] = R_Under
            $ R_Custom[5] = R_Chest
            $ R_Custom[6] = R_Panties 
            $ R_Custom[7] = R_Pubes 
            $ R_Custom[8] = R_Hair
        "Wear Custom Outfit #[R_Custom[0]]." if R_Custom[0] == "1":
            $ R_Outfit = "custom1"
            call RogueOutfit
        "Nothing":
            return
    jump RogueWardrobe
return

# Rogue's Outfit //////////////////////////////////////////////
label RogueOutfit:
    if R_Outfit == "evo_full":
        $ R_Hair = "evo"
        $ R_Arms = "collargloved"
        $ R_Legs = "skirthose"
        $ R_Over = "mesh"
        $ R_Under = "mesh"
        $ R_Chest = "tank"
        $ R_Panties = "1"
        $ R_Pubes = "1"
    if R_Outfit == "evo_pink":
        $ R_Hair = "evo"
        $ R_Arms = "gloved"
        $ R_Legs = "pants"
        $ R_Over = "pink"
        $ R_Under = "0"
        $ R_Chest = "tank2"
        $ R_Panties = "1"
        $ R_Pubes = "1"
    if R_Outfit == "nude":
        $ R_Arms = "bare"
        $ R_Legs = "0"
        $ R_Chest = "bare"
        $ R_Over = "0"
        $ R_Under = "0"
        $ R_Panties = "0"
    if R_Outfit == "custom1":
        $ R_Arms = R_Custom[1]
        $ R_Legs = R_Custom[2]
        $ R_Over = R_Custom[3]
        $ R_Under = R_Custom[4]
        $ R_Chest = R_Custom[5]
        $ R_Panties = R_Custom[6]
        $ R_Pubes = R_Custom[7]
        $ R_Hair = R_Custom[8]

return

label RemoveGloves:

if R_Arms == "gloved":
        $ R_Arms = "bare"
        return
if R_Arms == "collargloved":
        $ R_Arms = "collarbare"
        return
return        
label AddGloves:

if R_Arms == "bare":
        $ R_Arms = "gloved"
        return
if R_Arms == "collarbare":
        $ R_Arms = "collargloved"
        return
return

# Wait/Sleep Cycle //////////////////////////////////////////////////////////////////
label Wait:
    $ R_Addict += R_Addictionrate
    if Time_Count <= 2:
        $ Time_Count += 1
    else:                                                # Things that happen when you sleep
        
        $ Time_Count = 0
        $ Day += 1
        $ money += income 
        $ P_Semen = P_Semen_Max
        $ R_Addict += R_Addictionrate
        $ R_Addict -= (3*R_Resistance)
        $ R_Addictionrate -= 1
        if R_Lust >= 50:
            $ R_Lust -= 5
        if R_Obed < 25 and R_Love <50:
            $ R_Personality = "angry"
        if R_Obed > R_Love and R_Obed > 50:
            $ R_Personality = "obedient"
        if R_Inhibit > 75:
            $ R_Personality = "free"
        if R_Love > 75:
            $ R_Personality = "love"
        
                                                        # Things that happen every time you wait    
    call RogueOutfit
    $ R_Addictionrate -= R_Resistance
    $ P_Semen += 1
    $ P_Focus = 10
    $ Current_Time = Time_Options[(Time_Count)]     
    $ R_Blush = "0"
    if R_Lust >= 50:
        $R_EmoteDefault = "sexy" 
    elif R_Love >= R_Obed and R_Love >= 50:
        $ R_EmoteDefault = "smile"          
    elif R_Addict > 50:
        $ R_EmoteDefault = "manic"
    elif (R_love + R_Obed) < 50:
        $ R_EmoteDefault = "angry"
    else:
        $ R_EmoteDefault = "normal"
    $ R_Emote = R_EmoteDefault
    if Current_Time == "Midday": # Rogue's natural movements
        $ R_Loc = "bg classroom"
    else:
        $ R_Loc = "bg rogue"
    $ R_Stripped = 0
    call RogueFace
    call Checkout    
    return

# end Wait/Sleep Cycle //////////////////////////////////////////////////////////////////


return